@charset "UTF-8";
/* CSS Document */

body.priscroll {
  height: 100%;
  overflow: hidden;
}

#nav-toggle {
  position:fixed;
  top:1em;
  right:1em;
  display: block;
    width: 5em;
    height: 5em;
  cursor: pointer;
  -webkit-transform: rotate(0deg) translateZ(0);
          transform: rotate(0deg) translateZ(0);
    will-change: filter;
    z-index: 100;
}
#nav-toggle p{
    padding-top: 5.5em;
    font-size: 1rem;
    color: #939393;
}
#nav-toggle a{
    color: #939393;
}

#nav-toggle span {
  height: 2px;
  width: 60%;
background-color:#242424;
  border-radius: 1px;
  display: block;
  position: absolute;
  left: 32.5%;
  content: '';
  -webkit-transition: .5s ease-in-out;
  transition: .5s ease-in-out;
}
/*
#nav-toggle.blockline span{background-color: #000;}
*/
#nav-toggle span:nth-child(1) {
  top: 1.5em;
  -webkit-transform-origin: left center;
          transform-origin: left center;
}

#nav-toggle span:nth-child(2) {
  top: 2.3em;
  -webkit-transform-origin: left center;
          transform-origin: left center;
}

#nav-toggle span:nth-child(3) {
  top: 3.1em;
  -webkit-transform-origin: left center;
          transform-origin: left center;
}

.open #nav-toggle{/*
background-color:#fff;*/
}
.open #nav-toggle span{
  background-color: #868686;}

.open #nav-toggle span:nth-child(1) {
  -webkit-transform: rotate(45deg);
          transform: rotate(45deg);
  top: 1.3em;
  left: 0.8em;
}

.open #nav-toggle span:nth-child(2) {
  width: 0%;
  opacity: 0;
}

.open #nav-toggle span:nth-child(3) {
  -webkit-transform: rotate(-45deg);
          transform: rotate(-45deg);
  top: 3.4em;
  left: 0.8em;
}

#nav-overlay {
  position: fixed;
    top: 1em;
  right:1em;
  z-index: 99;
    visibility: hidden;
    opacity: 0;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
  background-color: #242424;
    width: 20em;
    height: inherit;
    padding: 8em 2em 2em 2em;
    border-radius: 1em;
    overflow: hidden;
    transform-origin: 90% 10%;
    transform:rotate(-30deg);
	-webkit-transition: all 0.6s ease;
    -moz-transition: all 0.6s ease;
    -o-transition: all 0.6s ease;
    transition: all  0.6s ease;
    white-space: nowrap;
    
  /*-webkit-transform: translateX(0);
　transform: translateX(0);
    -webkit-transition: 1s;
  transition: 1s;
  -webkit-transform: scale3d(0, 1, 0);
          transform: scale3d(0, 1, 0);*/
}

.open #nav-overlay{
    opacity: 1;
    transform:rotate(0);
    visibility: visible;
    -webkit-backface-visibility: visible;
    backface-visibility: visible;
}

/* Overlay */
.overlay {
    /* shadow layer visible when navigation is active */
    position: fixed;
    z-index: 98;
    height: 100%;
    width: 100%;
    top: 0;
    left: 0;
    cursor: pointer;
    background-color: rgba(0,0,0, 0);
    visibility: hidden;
    opacity: 0;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    -webkit-transition: opacity 0.3s 0s, visibility 0s 0.3s, -webkit-transform 0.3s 0s;
    -moz-transition: opacity 0.3s 0s, visibility 0s 0.3s, -moz-transform 0.3s 0s;
    transition: opacity 0.3s 0s, visibility 0s 0.3s, transform 0.3s 0s;
}
.overlay.is-visible {
    opacity: 1;
    visibility: visible;
    -webkit-transition: opacity 0.3s 0s, visibility 0s 0s, -webkit-transform 0.3s 0s;
    -moz-transition: opacity 0.3s 0s, visibility 0s 0s, -moz-transform 0.3s 0s;
    transition: opacity 0.3s 0s, visibility 0s 0s, transform 0.3s 0s;
}


@media only screen and (max-width: 768px) {
    .pc{display: none !important;}


#nav-toggle {
  top:0;
}
#nav-overlay {
    overflow-y: auto;
    padding: 7em 2em 2em 2em;
}

.open #nav-overlay {
}

}

@media only screen and (min-width: 769px) {


    .sp{display: none !important;}
    /****** Side Setting ********/
/*
    .drawer {
        position: static;
        height: auto;
        width: auto;
        margin: 0 auto;
        overflow: visible;
        background: transparent;
        text-align: center;
    }
    .drawer:after {
        content: "";
        display: table;
        clear: both;
    }

*/
}